[PUP-8113] Remove incorrect deprecation warning for `audit` metaparam Created: 2017/11/01  Updated: 2018/02/05  Resolved: 2017/11/17

Status: Closed
Project: Puppet
Component/s: None
Affects Version/s: PUP 4.10.8, PUP 5.3.2
Fix Version/s: PUP 4.10.10, PUP 5.3.4, PUP 5.4.0

Type: Bug Priority: Normal
Reporter: Maggie Dreyer Assignee: Kris Bosland
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Issue Links:
Relates
relates to PUP-893 Deprecate puppet inspect and the audi... Closed
Template:
Acceptance Criteria:

*Puppet no longer issues a deprecation warning for the audit metaparam
*The docs no longer state that audit is deprecated

Team: Platform Core
Sprint: Platform Core KANBAN
Method Found: Needs Assessment
Release Notes: Bug Fix
Release Notes Summary: (Puppet 4.10.10) The {{audit}} resource metaparameter is no longer deprecated, and we've removed warning messages suggesting that it has been deprecated.

(No release note necessary for Puppet 5.3.4. Confirm that the authored docs do not refer to audit being deprecated.)
QA Risk Assessment: Manual

 Description   

When we decided not to remove the audit metaparameter, we forgot to remove the corresponding deprecation warning stating the metaparam would be removed. We should get rid of the deprecation warning.

For details on the audit metaparameter can be found here: https://puppet.com/docs/puppet/5.3/metaparameter.html#audit (and there also appears to be a stray deprecation warning in the docs for it that should also be removed).

This should be merged first to the 4.10.x stream and then merged up.



 Comments   
Comment by Garrett Guillotte [ 2017/11/01 ]

Removing the deprecation warning from lib/puppet/type.rb will remove it from the docs when we generate references for 4.10.8 and 5.3.2.

Comment by Kris Bosland [ 2017/11/14 ]

Created pull request for review: https://github.com/puppetlabs/puppet/pull/6361

Comment by Melissa Stone [ 2017/11/17 ]

This has passed CI

Comment by Melissa Stone [ 2017/11/17 ]

Kris Bosland are there any docs needed for this ticket?

Comment by Maggie Dreyer [ 2017/11/17 ]

Updating the `desc` parameter will update our published docs, and this change was to bring the code inline with the release notes we already issued with Puppet 5. So I don't think so.

Comment by Maggie Dreyer [ 2017/11/17 ]

I also manually verified this change with a file resource with audit => all, no deprecation warning appeared (it does on 5.3.3 and 4.10.9).

Comment by Melissa Stone [ 2017/11/17 ]

Kk, I updated the docs tab to reflect that

Comment by Garrett Guillotte [ 2017/11/17 ]

this change was to bring the code inline with the release notes we already issued with Puppet 5.

Then this requires a release note for Puppet 4, which still states that audit is deprecated as of 4.10.0.

Comment by Kris Bosland [ 2017/11/17 ]

yay!

On Fri, Nov 17, 2017 at 9:16 AM, Melissa Stone (JIRA) <

Generated at Sun Jan 19 20:00:34 PST 2020 using JIRA 7.7.1#77002-sha1:e75ca93d5574d9409c0630b81c894d9065296414.